Bug 596362 - mutter segfault: find_index_of_edge_near_position (edges=0x3811f80, position=42, want_interval_min=0, horizontal=1) at core/edge-resistance.c:100
mutter segfault: find_index_of_edge_near_position (edges=0x3811f80, position=...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 12:31 EDT by Tom London
Modified: 2011-03-26 10:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-26 10:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-05-26 12:31:34 EDT
Description of problem:
Got segfault from mutter:

May 26 08:52:10 tlondon kernel: mutter[1881]: segfault at 0 ip 0000000000435a96 sp 00007fff1741ed80 error 4 in mutter[400000+aa000]
May 26 08:52:12 tlondon abrt[2443]: saved core dump of pid 1881 (/usr/bin/mutter) to /var/spool/abrt/ccpp-1274889130-1881.new/coredump (147472384 bytes)
May 26 08:52:12 tlondon abrtd: Directory 'ccpp-1274889130-1881' creation detected
May 26 08:52:13 tlondon abrt[2443]: saved core dump of pid 1881 to /home/tbl/core.1881 (147472384 bytes)
May 26 08:52:19 tlondon abrtd: New crash /var/spool/abrt/ccpp-1274889130-1881, processing
May 26 08:52:19 tlondon abrtd: Registered Action plugin 'RunApp'
May 26 08:52:19 tlondon abrtd: RunApp('/var/spool/abrt/ccpp-1274889130-1881','test x"`cat component`" = x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')

I am manually pasting in the abrt log, as it failed to connect to Bugzilla.

I have the corefile, so let me know if there is additional info needed.

Count: 1
DUPHASH: 1a187b7b7df8887232674742ad1a889fdf497616
DumpDir: /var/spool/abrt/ccpp-1274889130-1881
InformAll: 0
Reported: 0
UUID: 1110bef1f55dbd6293aabd5b7bff76a5f94b074c
analyzer: CCpp
architecture: x86_64
cmdline: mutter --mutter-plugins=libgnome-shell
component: mutter
coredump: /var/spool/abrt/ccpp-1274889130-1881/coredump
crash_function: find_index_of_edge_near_position
executable: /usr/bin/mutter
global_uuid: 1a187b7b7df8887232674742ad1a889fdf497616
kernel: 2.6.34-11.fc14.x86_64
package: mutter-2.29.1-1.fc14
rating: 4
reason: Process /usr/bin/mutter was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Rawhide)
time: 1274889130
uid: 500

backtrace
-----
[New Thread 1881]
[New Thread 2018]
[New Thread 1897]
Core was generated by `mutter --mutter-plugins=libgnome-shell'.
Program terminated with signal 11, Segmentation fault.
#0  find_index_of_edge_near_position (edges=0x3811f80, position=42, 
    want_interval_min=0, horizontal=1) at core/edge-resistance.c:100
100	core/edge-resistance.c: No such file or directory.
	in core/edge-resistance.c

Thread 3 (Thread 1897):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x0000003d3e223cce in PR_WaitCondVar (cvar=0x1417490, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
        rv = <value optimized out>
        thred = 0x14174e0
#2  0x00000031520d648c in JSBackgroundThread::work (this=0x14173b0)
    at jstask.cpp:91
        t = <value optimized out>
#3  0x0000003d3e229843 in _pt_root (arg=0x14174e0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
        thred = 0x14174e0
        detached = 0
#4  0x0000003d2e207951 in start_thread (arg=0x7f91e55d7710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f91e55d7710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140264595093264, 
    4547834138283656336, 140733583583184, 140264595093968, 0, 3, 
    -4593973197547060080, 4568755919109407888}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x0000003d2dee4d9d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 2018):
#0  0x0000003d2dedb653 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 140264102433744
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 140264102433744
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003d3f62cc0f in poll_func (ufds=0x7f91c80013d0, nfds=2, timeout=-1, 
    userdata=0x1e62fc0) at pulse/thread-mainloop.c:75
        mutex = 0x1e62fc0
        r = -939519024
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x0000003d3f61cae6 in pa_mainloop_poll (m=0x1e8b1f0)
    at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x0000003d3f61dec9 in pa_mainloop_iterate (m=0x1e8b1f0, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x0000003d3f61df80 in pa_mainloop_run (m=0x1e8b1f0, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x0000003d3f62ca0b in thread (userdata=0x2181cc0)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#6  0x00007f91dc1c9878 in internal_thread_func (userdata=0x1e8b0d0)
    at pulsecore/thread-posix.c:72
        t = 0x1e8b0d0
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003d2e207951 in start_thread (arg=0x7f91de117710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f91de117710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140264472672016, 
    4547834138283656336, 262766926592, 140264472672720, 0, 3, 
    -4594063941616089968, 4568755919109407888}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003d2dee4d9d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 1881):
#0  find_index_of_edge_near_position (edges=0x3811f80, position=42, 
    want_interval_min=0, horizontal=1) at core/edge-resistance.c:100
        low = <value optimized out>
        high = <value optimized out>
        mid = 0
        compare = <value optimized out>
        edge = <value optimized out>
#1  0x0000000000436483 in apply_edge_resistance (
    window=<value optimized out>, old_pos=<value optimized out>, 
    new_pos=<value optimized out>, old_rect=<value optimized out>, 
    new_rect=<value optimized out>, edges=0x3811f80, resistance_data=
    0x3c9f560, timeout_func=0x459350 <update_move_timeout>, xdir=1, 
    keyboard_op=0) at core/edge-resistance.c:373
        i = <value optimized out>
        begin = <value optimized out>
        end = <value optimized out>
        last_edge = <value optimized out>
        increasing = <value optimized out>
        increment = -1
#2  0x00000000004367dd in apply_edge_resistance_to_each_side (display=
    0x13883e0 [MetaDisplay], window=0x2f10490 [MetaWindow], old_outer=
    0x7fff1741ef40, new_outer=<value optimized out>, 
    timeout_func=<value optimized out>, auto_snap=<value optimized out>, 
    keyboard_op=0, is_resize=0) at core/edge-resistance.c:604
        edge_data = 0x3c9f540
        modified_rect = {x = 390197116, y = 32767, width = 0, height = 0}
        modified = <value optimized out>
        new_left = <value optimized out>
        new_right = <value optimized out>
        new_top = <value optimized out>
        new_bottom = <value optimized out>
#3  0x000000000043708e in meta_window_edge_resistance_for_move (window=
    0x2f10490 [MetaWindow], old_x=46, old_y=50, new_x=0x7fff1741efec, new_y=
    0x7fff1741efe8, timeout_func=<value optimized out>, snap=0, 
    is_keyboard_op=0) at core/edge-resistance.c:1163
        old_outer = {x = 42, y = 26, width = 665, height = 463}
        proposed_outer = {x = 41, y = 9, width = 665, height = 463}
        new_outer = {x = 41, y = 9, width = 665, height = 463}
#4  0x0000000000458eb6 in update_move (window=0x2f10490 [MetaWindow], 
    snap=<value optimized out>, x=163, y=24) at core/window.c:7663
        dx = <value optimized out>
        dy = <value optimized out>
        new_x = 45
        new_y = 33
        old = {x = 46, y = 50, width = 657, height = 435}
        shake_threshold = 48
        display = 0x13883e0 [MetaDisplay]
#5  0x000000000043198e in event_callback (event=0x7fff1741f5f0, data=
    0x13883e0) at core/display.c:1946
        window = 0x2f10490 [MetaWindow]
        property_for_window = <value optimized out>
        display = 0x13883e0 [MetaDisplay]
        modified = <value optimized out>
        frame_was_receiver = 1
        bypass_compositor = 0
        filter_out_event = 0
#6  0x00000000004794e6 in filter_func (xevent=<value optimized out>, 
    event=<value optimized out>, data=<value optimized out>) at ui/ui.c:84
        __PRETTY_FUNCTION__ = "filter_func"
#7  0x0000003d36a5e086 in gdk_event_apply_filters (display=
    0xfbf030 [GdkDisplayX11], event=0x2c12950, xevent=0x7fff1741f5f0, 
    return_exposes=0) at gdkevents-x11.c:351
        filter = <value optimized out>
        tmp_list = 0x0
        result = <value optimized out>
#8  gdk_event_translate (display=0xfbf030 [GdkDisplayX11], event=0x2c12950, 
    xevent=0x7fff1741f5f0, return_exposes=0) at gdkevents-x11.c:922
        result = <value optimized out>
        window = 0x0
        window_private = 0x0
        filter_window = <value optimized out>
        window_impl = 0x0
        return_val = 0
        screen = 0x0
        screen_x11 = 0x0
        toplevel = 0x0
        display_x11 = 0xfbf030 [GdkDisplayX11]
        xwindow = <value optimized out>
        filter_xwindow = <value optimized out>
#9  0x0000003d36a60178 in _gdk_events_queue (display=0xfbf030 [GdkDisplayX11])
    at gdkevents-x11.c:2305
        node = 0x3e114c0 = {0x2c12950}
        event = 0x2c12950
        xevent = {type = 6, xany = {type = 6, serial = 173968, send_event = 
    0, display = 0xfb33e0, window = 23105399}, xkey = {type = 6, serial = 
    173968, send_event = 0, display = 0xfb33e0, window = 23105399, root = 
    189, subwindow = 0, time = 359668, x = 121, y = -2, x_root = 163, 
            y_root = 24, state = 256, keycode = 0, same_screen = 1}, 
          xbutton = {type = 6, serial = 173968, send_event = 0, display = 
    0xfb33e0, window = 23105399, root = 189, subwindow = 0, time = 359668, 
            x = 121, y = -2, x_root = 163, y_root = 24, state = 256, button = 
    0, same_screen = 1}, xmotion = {type = 6, serial = 173968, send_event = 
    0, display = 0xfb33e0, window = 23105399, root = 189, subwindow = 0, 
            time = 359668, x = 121, y = -2, x_root = 163, y_root = 24, 
            state = 256, is_hint = 0 '\000', same_screen = 1}, xcrossing = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            window = 23105399, root = 189, subwindow = 0, time = 359668, x = 
    121, y = -2, x_root = 163, y_root = 24, mode = 256, detail = 0, 
            same_screen = 1, focus = 0, state = 12}, xfocus = {type = 6, 
            serial = 173968, send_event = 0, display = 0xfb33e0, window = 
    23105399, mode = 189, detail = 0}, xexpose = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, window = 23105399, x = 189, 
            y = 0, width = 0, height = 0, count = 359668}, xgraphicsexpose = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            drawable = 23105399, x = 189, y = 0, width = 0, height = 0, 
            count = 359668, major_code = 0, minor_code = 121}, xnoexpose = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            drawable = 23105399, major_code = 189, minor_code = 0}, 
          xvisibility = {type = 6, serial = 173968, send_event = 0, display = 
    0xfb33e0, window = 23105399, state = 189}, xcreatewindow = {type = 6, 
            serial = 173968, send_event = 0, display = 0xfb33e0, parent = 
    23105399, window = 189, x = 0, y = 0, width = 359668, height = 0, 
            border_width = 121, override_redirect = -2}, xdestroywindow = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            event = 23105399, window = 189}, xunmap = {type = 6, serial = 
    173968, send_event = 0, display = 0xfb33e0, event = 23105399, window = 
    189, from_configure = 0}, xmap = {type = 6, serial = 173968, send_event = 
    0, display = 0xfb33e0, event = 23105399, window = 189, 
            override_redirect = 0}, xmaprequest = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, parent = 23105399, window = 
    189}, xreparent = {type = 6, serial = 173968, send_event = 0, display = 
    0xfb33e0, event = 23105399, window = 189, parent = 0, x = 359668, y = 0, 
            override_redirect = 121}, xconfigure = {type = 6, serial = 
    173968, send_event = 0, display = 0xfb33e0, event = 23105399, window = 
    189, x = 0, y = 0, width = 359668, height = 0, border_width = 121, 
            above = 103079215267, override_redirect = 256}, xgravity = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            event = 23105399, window = 189, x = 0, y = 0}, xresizerequest = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            window = 23105399, width = 189, height = 0}, xconfigurerequest = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            parent = 23105399, window = 189, x = 0, y = 0, width = 359668, 
            height = 0, border_width = 121, above = 103079215267, detail = 
    256, value_mask = 1}, xcirculate = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, event = 23105399, window = 
    189, place = 0}, xcirculaterequest = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, parent = 23105399, window = 
    189, place = 0}, xproperty = {type = 6, serial = 173968, send_event = 0, 
            display = 0xfb33e0, window = 23105399, atom = 189, time = 0, 
            state = 359668}, xselectionclear = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, window = 23105399, 
            selection = 189, time = 0}, xselectionrequest = {type = 6, 
            serial = 173968, send_event = 0, display = 0xfb33e0, owner = 
    23105399, requestor = 189, selection = 0, target = 359668, property = 
    18446744065119617145, time = 103079215267}, xselection = {type = 6, 
            serial = 173968, send_event = 0, display = 0xfb33e0, requestor = 
    23105399, selection = 189, target = 0, property = 359668, time = 
    18446744065119617145}, xcolormap = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, window = 23105399, colormap = 
    189, new = 0, state = 0}, xclient = {type = 6, serial = 173968, 
            send_event = 0, display = 0xfb33e0, window = 23105399, 
            message_type = 189, format = 0, data = {b = 
    "\364|\005\000\000\000\000\000y\000\000\000\376\377\377\377\243\000\000", 
              s = {31988, 5, 0, 0, 121, 0, -2, -1, 163, 0}, l = {359668, 
    -8589934471, 103079215267, 256, 1}}}, xmapping = {type = 6, serial = 
    173968, send_event = 0, display = 0xfb33e0, window = 23105399, request = 
    189, first_keycode = 0, count = 0}, xerror = {type = 6, display = 
    0x2a790, resourceid = 0, serial = 16462816, error_code = 119 'w', 
            request_code = 143 '\217', minor_code = 96 '`'}, xkeymap = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            window = 23105399, key_vector = 
    "\275", '\000' <repeats 15 times>"\364, |\005\000\000\000\000\000y\000\000\000\376\377\377\377"}, xgeneric = {type = 6, serial = 173968, send_event = 0, 
            display = 0xfb33e0, extension = 23105399, evtype = 0}, xcookie = {
            type = 6, serial = 173968, send_event = 0, display = 0xfb33e0, 
            extension = 23105399, evtype = 0, cookie = 189, data = 0x0}, 
          pad = {261993005062, 173968, 0, 16462816, 23105399, 189, 0, 359668, 
    -8589934471, 103079215267, 256, 1, 12, 0, 0, 1, 24060304, 24075280, 
    608941873, 0, 0, 1, 24025392, 24048000}}
        xdisplay = 0xfb33e0
#10 0x0000003d36a606ae in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2366
        display = 0xfbf030 [GdkDisplayX11]
        event = <value optimized out>
#11 0x0000003d2f63c532 in g_main_dispatch (context=0xf99bb0) at gmain.c:1960
        dispatch = 0x3d36a60690 <gdk_event_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0xfc9e90, next = 0x0}
        need_destroy = <value optimized out>
        source = 0xfc9e90
        current = 0xfe3fb0
        i = <value optimized out>
#12 IA__g_main_context_dispatch (context=0xf99bb0) at gmain.c:2513
No locals.
#13 0x0000003d2f640318 in g_main_context_iterate (context=0xf99bb0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 13
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#14 0x0000003d2f640825 in IA__g_main_loop_run (loop=0xfa1f60) at gmain.c:2799
        self = 0xf8f030
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#15 0x000000000043f916 in main (argc=1, argv=0x7fff1741ff98)
    at core/main.c:725
        act = {__sigaction_handler = {sa_handler = 
    0x43fcf0 <sigterm_handler>, sa_sigaction = 0x43fcf0 <sigterm_handler>}, 
          sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = 0, 
          sa_restorer = 0x1c77555}
        empty_mask = {__val = {0 <repeats 16 times>}}
        log_domains = {0x0, 0x482c9a "mutter", 0x482af0 "Gtk", 
    0x482af4 "Gdk", 0x482af8 "GLib", 0x482afd "Pango", 
    0x482b03 "GLib-GObject", 0x482b10 "GThread"}
        i = <value optimized out>
        channel = <value optimized out>
        ctx = 0x0
From                To                  Syms Read   Shared Object Library
0x0000003d37668470  0x0000003d3790dae8  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2100.0
0x0000003d36a1d350  0x0000003d36a7f5e8  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2100.0
0x0000003d356096b0  0x0000003d356150f8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x0000003d31623190  0x0000003d316bda88  Yes         /lib64/libgio-2.0.so.0.2507.0
0x0000003d36207650  0x0000003d362213c8  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.0
0x0000003d32a0c850  0x0000003d32a74ef8  Yes         /usr/lib64/libfreetype.so.6.4.0
0x0000003d32e05c80  0x0000003d32e1ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003d39211c30  0x0000003d3922dba8  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x0000003d45e03120  0x0000003d45e06a98  Yes         /usr/lib64/libstartup-notification-1.so.0.0.0
0x0000003d33a018c0  0x0000003d33a07f58  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003d4b42f710  0x0000003d4b4b3858  Yes         /usr/lib64/libclutter-glx-1.0.so.0.200.8
0x0000003d36e04630  0x0000003d36e08eb8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.0
0x0000003d34e05940  0x0000003d34e17ba8  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2100.0
0x0000003d43e20680  0x0000003d43e4c568  Yes         /usr/lib64/libGL.so.1.2
0x0000003d35a00a90  0x0000003d35a01638  Yes         /usr/lib64/libXdamage.so.1.1.0
0x0000003d35e00b40  0x0000003d35e01908  Yes         /usr/lib64/libXcomposite.so.1.0.0
0x0000003d33601eb0  0x0000003d3360c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003d4b806580  0x0000003d4b811a28  Yes         /usr/lib64/libjson-glib-1.0.so.0
0x0000003d3460ede0  0x0000003d3462d768  Yes         /usr/lib64/libpango-1.0.so.0.2800.0
0x0000003d37209c50  0x0000003d3725b058  Yes         /usr/lib64/libcairo.so.2.10800.10
0x0000003d35201370  0x0000003d35204178  Yes         /usr/lib64/libXfixes.so.3.1.0
0x0000003d3a206500  0x0000003d3a20ef98  Yes         /usr/lib64/libgirepository-1.0.so.0.0.0
0x0000003d30208df0  0x0000003d302342b8  Yes         /lib64/libgobject-2.0.so.0.2507.0
0x0000003d30a01080  0x0000003d30a01fc8  Yes         /lib64/libgmodule-2.0.so.0.2507.0
0x0000003d3b201840  0x0000003d3b2060f8  Yes         /usr/lib64/libffi.so.5.0.10
0x0000003d2fe01590  0x0000003d2fe02a68  Yes         /lib64/libgthread-2.0.so.0.2507.0
0x0000003d2ee02190  0x0000003d2ee057d8  Yes         /lib64/librt-2.12.90.so
0x0000003d2f6157f0  0x0000003d2f69ac18  Yes         /lib64/libglib-2.0.so.0.2507.0
0x0000003d36602880  0x0000003d36607688  Yes         /usr/lib64/libXcursor.so.1.0.2
0x0000003d34a01720  0x0000003d34a06828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x0000003d3a6019f0  0x0000003d3a6062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x0000003d3aa04d70  0x0000003d3aa13778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003d31a1dd80  0x0000003d31aab958  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003d32203580  0x0000003d3220e768  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003d34200a20  0x0000003d34201508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x0000003d2f203ef0  0x0000003d2f244008  Yes         /lib64/libm-2.12.90.so
0x0000003d2e205690  0x0000003d2e2115d8  Yes         /lib64/libpthread-2.12.90.so
0x0000003d2de1e9a0  0x0000003d2df2f680  Yes         /lib64/libc-2.12.90.so
0x0000003d30603910  0x0000003d30612468  Yes         /lib64/libresolv-2.12.90.so
0x0000003d2ea01e70  0x0000003d2ea0e678  Yes         /lib64/libz.so.1.2.5
0x0000003d2fa05550  0x0000003d2fa14fa8  Yes         /lib64/libselinux.so.1
0x0000003d31e03b70  0x0000003d31e1ca08  Yes         /lib64/libexpat.so.1.5.2
0x0000003d38e27990  0x0000003d38e4b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x0000003d33207090  0x0000003d3322e4c8  Yes         /lib64/libdbus-1.so.3.4.0
0x0000003d44e01160  0x0000003d44e01b28  Yes         /usr/lib64/libxcb-aux.so.0.0.0
0x0000003d45a018e0  0x0000003d45a01c78  Yes         /usr/lib64/libxcb-event.so.1.0.0
0x0000003d45601690  0x0000003d45601d38  Yes         /usr/lib64/libxcb-atom.so.1.0.0
0x0000003d30e08650  0x0000003d30e13898  Yes         /usr/lib64/libxcb.so.1.1.0
0x0000003d32604830  0x0000003d3261e7a8  Yes         /usr/lib64/libpng12.so.0.43.0
0x0000003d41200e30  0x0000003d41203d08  Yes         /usr/lib64/libXxf86vm.so.1.0.0
0x0000003d41602f90  0x0000003d41607858  Yes         /usr/lib64/libdrm.so.2.4.0
0x0000003d2e600de0  0x0000003d2e601998  Yes         /lib64/libdl-2.12.90.so
0x0000003d33e07230  0x0000003d33e51e78  Yes         /usr/lib64/libpixman-1.so.0.18.0
0x0000003d2da00af0  0x0000003d2da19954  Yes         /lib64/ld-2.12.90.so
0x0000003d386014b0  0x0000003d38602be8  Yes         /lib64/libuuid.so.1.3.0
0x0000003d31200dd0  0x0000003d31201b68  Yes         /usr/lib64/libXau.so.6.0.0
0x00007f91e726b160  0x00007f91e7273418  Yes         /lib64/libnss_files-2.12.90.so
0x00007f91e7041bc0  0x00007f91e7063818  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f91e6e3c620  0x00007f91e6e3ce08  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x0000003d37e08f70  0x0000003d37e194a8  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x00007f91e6c36f00  0x00007f91e6c39168  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x0000003d44201bf0  0x0000003d44202fd8  Yes         /usr/lib64/libcanberra-gtk.so.0.1.5
0x0000003d46203280  0x0000003d4620c328  Yes         /usr/lib64/libcanberra.so.0.2.2
0x0000003d42e01fa0  0x0000003d42e05fd8  Yes         /usr/lib64/libvorbisfile.so.3.3.2
0x0000003d40203700  0x0000003d4021a718  Yes         /usr/lib64/libvorbis.so.0.4.4
0x0000003d3f2018a0  0x0000003d3f203bb8  Yes         /usr/lib64/libogg.so.0.7.0
0x0000003d43a01e30  0x0000003d43a09ca8  Yes         /usr/lib64/libtdb.so.1.2.1
0x0000003d40e02370  0x0000003d40e06758  Yes         /usr/lib64/libltdl.so.7.2.1
0x00007f91e67f8060  0x00007f91e697a788  Yes         /usr/lib64/dri/i965_dri.so
0x00007f91e65c0810  0x00007f91e65c6248  Yes         /usr/lib64/libdrm_intel.so.1.0.0
0x00007f91e5e92450  0x00007f91e5ed5348  Yes         /usr/lib64/mutter/plugins/libgnome-shell.so
0x00007f91e5c5fee0  0x00007f91e5c6cc28  Yes         /usr/lib64/libgjs-gi.so.0
0x0000003151c075b0  0x0000003151c0f418  Yes         /usr/lib64/libgjs.so.0
0x000000315201bc30  0x00000031520f18a8  Yes         /usr/lib64/xulrunner-1.9.2/libmozjs.so
0x0000003d3de00e70  0x0000003d3de01ce8  Yes         /lib64/libplds4.so
0x0000003d3da013d0  0x0000003d3da02b18  Yes         /lib64/libplc4.so
0x0000003d3e20cfc0  0x0000003d3e22c968  Yes         /lib64/libnspr4.so
0x0000003d396035f0  0x0000003d3960d5b8  Yes         /usr/lib64/libgnome-menu.so.2.4.6
0x0000003d44a09e70  0x0000003d44a2ddb8  Yes         /usr/lib64/libgstbase-0.10.so.0.25.0
0x0000003d40a28660  0x0000003d40a9fd18  Yes         /usr/lib64/libgstreamer-0.10.so.0.25.0
0x0000003d48208560  0x0000003d4822d4e8  Yes         /usr/lib64/librsvg-2.so.2.26.3
0x00007f91e5a26610  0x00007f91e5a44f08  Yes         /usr/lib64/libcroco-0.6.so.3.0.1
0x0000003d38a2c950  0x0000003d38b09048  Yes         /usr/lib64/libxml2.so.2.7.7
0x0000003d47e0bd90  0x0000003d47e1fa58  Yes         /usr/lib64/libgnome-desktop-2.so.17.1.0
0x00000031518563f0  0x00000031518c3316  Yes         /usr/lib64/libstdc++.so.6
0x0000003151402910  0x0000003151412f48  Yes         /lib64/libgcc_s.so.1
0x0000003d4520f840  0x0000003d4522ce28  Yes         /usr/lib64/libgsf-1.so.114.0.18
0x0000003d3d201630  0x0000003d3d20dcc8  Yes         /lib64/libbz2.so.1.0.4
0x00007f91e57f8aa0  0x00007f91e5811bb8  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f91e55e1190  0x00007f91e55eb418  Yes         /usr/lib64/libgvfscommon.so.0.0.0
0x0000003d41a02940  0x0000003d41a09f58  Yes         /lib64/libudev.so.0
0x0000003d3d600e10  0x0000003d3d601688  Yes         /lib64/libutil-2.12.90.so
0x00007f91e49b5630  0x00007f91e49b5768  Yes         /usr/lib64/gjs-1.0/gi.so
0x00007f91e474e6e0  0x00007f91e474e8c8  Yes         /usr/lib64/gjs-1.0/langNative.so
0x00007f91e4543630  0x00007f91e454a388  Yes         /usr/lib64/gjs-1.0/dbusNative.so
0x00007f91e431ccf0  0x00007f91e4321918  Yes         /usr/lib64/libgjs-dbus.so.0
0x00007f91e40af0f0  0x00007f91e40af9a8  Yes         /usr/lib64/gjs-1.0/mainloop.so
0x00007f91e3e05910  0x00007f91e3e06198  Yes         /usr/lib64/gjs-1.0/gettextNative.so
0x00007f91e3bf4c00  0x00007f91e3c01128  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f91dd43c4d0  0x00007f91dd43d048  Yes         /usr/lib64/gconv/ISO8859-1.so
0x00007f91cdadc050  0x00007f91cdadef88  Yes         /usr/lib64/libcanberra-0.23/libcanberra-pulse.so
0x0000003d3f60ae50  0x0000003d3f632398  Yes         /usr/lib64/libpulse.so.0.12.2
0x00007f91dc1a0460  0x00007f91dc1cb758  Yes         /usr/lib64/libpulsecommon-0.9.21.so
0x0000003d3e8013b0  0x0000003d3e8043b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x0000003d41e02ee0  0x0000003d41e06a88  Yes         /lib64/libwrap.so.0.7.6
0x00007f91cd878ec0  0x00007f91cd8bb928  Yes         /usr/lib64/libsndfile.so.1.0.21
0x0000003d3ec011c0  0x0000003d3ec037e8  Yes         /usr/lib64/libasyncns.so.0.3.1
0x00007f91cd65d0c0  0x00007f91cd66aab8  Yes         /lib64/libnsl-2.12.90.so
0x00007f91cd42ae70  0x00007f91cd44fe08  Yes         /usr/lib64/libFLAC.so.8.2.0
0x00007f91ccf649c0  0x00007f91ccf66eb8  Yes         /usr/lib64/libvorbisenc.so.2.0.7
0x00007f91df9deb50  0x00007f91df9defd8  Yes         /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
$1 = 0x0
$2 = 0x0
rax            0x0	0
rbx            0xffffffff	4294967295
rcx            0x1	1
rdx            0x0	0
rsi            0x2a	42
rdi            0x3811f80	58793856
rbp            0x3811f80	0x3811f80
rsp            0x7fff1741ed80	0x7fff1741ed80
r8             0x7fff1741ef20	140733583585056
r9             0x3811f80	58793856
r10            0x0	0
r11            0x0	0
r12            0x1	1
r13            0x3c9f560	63567200
r14            0x0	0
r15            0x0	0
rip            0x435a96	0x435a96 <find_index_of_edge_near_position+6>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function find_index_of_edge_near_position:
   0x0000000000435a90 <+0>:	push   %rbx
   0x0000000000435a91 <+1>:	mov    (%rdi),%r11
   0x0000000000435a94 <+4>:	test   %ecx,%ecx
=> 0x0000000000435a96 <+6>:	mov    (%r11),%rax
   0x0000000000435a99 <+9>:	je     0x435b80 <find_index_of_edge_near_position+240>
   0x0000000000435a9f <+15>:	mov    (%rax),%r8d
   0x0000000000435aa2 <+18>:	mov    0x8(%rdi),%ebx
   0x0000000000435aa5 <+21>:	xor    %eax,%eax
   0x0000000000435aa7 <+23>:	xor    %edi,%edi
   0x0000000000435aa9 <+25>:	xor    %r10d,%r10d
   0x0000000000435aac <+28>:	lea    -0x1(%rbx),%r9d
   0x0000000000435ab0 <+32>:	test   %r9d,%r9d
   0x0000000000435ab3 <+35>:	jg     0x435ad3 <find_index_of_edge_near_position+67>
   0x0000000000435ab5 <+37>:	jmp    0x435afb <find_index_of_edge_near_position+107>
   0x0000000000435ab7 <+39>:	nopw   0x0(%rax,%rax,1)
   0x0000000000435ac0 <+48>:	mov    (%r8),%r8d
   0x0000000000435ac3 <+51>:	cmp    %esi,%r8d
   0x0000000000435ac6 <+54>:	je     0x435afb <find_index_of_edge_near_position+107>
   0x0000000000435ac8 <+56>:	jle    0x435b30 <find_index_of_edge_near_position+160>
   0x0000000000435aca <+58>:	lea    -0x1(%rax),%r9d
   0x0000000000435ace <+62>:	cmp    %r9d,%edi
   0x0000000000435ad1 <+65>:	jge    0x435afb <find_index_of_edge_near_position+107>
   0x0000000000435ad3 <+67>:	mov    %r9d,%eax
   0x0000000000435ad6 <+70>:	sub    %edi,%eax
   0x0000000000435ad8 <+72>:	mov    %eax,%r8d
   0x0000000000435adb <+75>:	shr    $0x1f,%r8d
   0x0000000000435adf <+79>:	lea    (%r8,%rax,1),%eax
   0x0000000000435ae3 <+83>:	sar    %eax
   0x0000000000435ae5 <+85>:	add    %edi,%eax
   0x0000000000435ae7 <+87>:	test   %ecx,%ecx
   0x0000000000435ae9 <+89>:	movslq %eax,%r10
   0x0000000000435aec <+92>:	mov    (%r11,%r10,8),%r8
   0x0000000000435af0 <+96>:	jne    0x435ac0 <find_index_of_edge_near_position+48>
   0x0000000000435af2 <+98>:	mov    0x4(%r8),%r8d
   0x0000000000435af6 <+102>:	cmp    %esi,%r8d
   0x0000000000435af9 <+105>:	jne    0x435ac8 <find_index_of_edge_near_position+56>
   0x0000000000435afb <+107>:	test   %edx,%edx
   0x0000000000435afd <+109>:	lea    -0x8(%r11,%r10,8),%r9
   0x0000000000435b02 <+114>:	mov    %eax,%edi
   0x0000000000435b04 <+116>:	jne    0x435b17 <find_index_of_edge_near_position+135>
   0x0000000000435b06 <+118>:	jmpq   0x435b89 <find_index_of_edge_near_position+249>
   0x0000000000435b0b <+123>:	nopl   0x0(%rax,%rax,1)
   0x0000000000435b10 <+128>:	mov    (%rax),%r8d
   0x0000000000435b13 <+131>:	sub    $0x8,%r9
   0x0000000000435b17 <+135>:	test   %edi,%edi
   0x0000000000435b19 <+137>:	jle    0x435b38 <find_index_of_edge_near_position+168>
   0x0000000000435b1b <+139>:	cmp    %esi,%r8d
   0x0000000000435b1e <+142>:	jl     0x435b38 <find_index_of_edge_near_position+168>
   0x0000000000435b20 <+144>:	sub    $0x1,%edi
   0x0000000000435b23 <+147>:	test   %ecx,%ecx
   0x0000000000435b25 <+149>:	mov    (%r9),%rax
   0x0000000000435b28 <+152>:	jne    0x435b10 <find_index_of_edge_near_position+128>
   0x0000000000435b2a <+154>:	mov    0x4(%rax),%r8d
   0x0000000000435b2e <+158>:	jmp    0x435b13 <find_index_of_edge_near_position+131>
   0x0000000000435b30 <+160>:	lea    0x1(%rax),%edi
   0x0000000000435b33 <+163>:	jmp    0x435ace <find_index_of_edge_near_position+62>
   0x0000000000435b35 <+165>:	nopl   (%rax)
   0x0000000000435b38 <+168>:	cmp    %esi,%r8d
   0x0000000000435b3b <+171>:	jge    0x435b78 <find_index_of_edge_near_position+232>
   0x0000000000435b3d <+173>:	mov    %ebx,%eax
   0x0000000000435b3f <+175>:	lea    -0x1(%rax),%r8d
   0x0000000000435b43 <+179>:	cmp    %r8d,%edi
   0x0000000000435b46 <+182>:	jge    0x435b7a <find_index_of_edge_near_position+234>
   0x0000000000435b48 <+184>:	movslq %edi,%rdx
   0x0000000000435b4b <+187>:	lea    0x8(%r11,%rdx,8),%rdx
   0x0000000000435b50 <+192>:	jmp    0x435b67 <find_index_of_edge_near_position+215>
   0x0000000000435b52 <+194>:	nopw   0x0(%rax,%rax,1)
   0x0000000000435b58 <+200>:	mov    (%rbx),%ebx
   0x0000000000435b5a <+202>:	cmp    %ebx,%esi
   0x0000000000435b5c <+204>:	jle    0x435b78 <find_index_of_edge_near_position+232>
   0x0000000000435b5e <+206>:	add    $0x8,%rdx
   0x0000000000435b62 <+210>:	cmp    %r8d,%edi
   0x0000000000435b65 <+213>:	jge    0x435b7a <find_index_of_edge_near_position+234>
   0x0000000000435b67 <+215>:	add    $0x1,%edi
   0x0000000000435b6a <+218>:	test   %ecx,%ecx
   0x0000000000435b6c <+220>:	mov    (%rdx),%rbx
   0x0000000000435b6f <+223>:	jne    0x435b58 <find_index_of_edge_near_position+200>
   0x0000000000435b71 <+225>:	mov    0x4(%rbx),%ebx
   0x0000000000435b74 <+228>:	cmp    %ebx,%esi
   0x0000000000435b76 <+230>:	jg     0x435b5e <find_index_of_edge_near_position+206>
   0x0000000000435b78 <+232>:	mov    %edi,%eax
   0x0000000000435b7a <+234>:	pop    %rbx
   0x0000000000435b7b <+235>:	retq   
   0x0000000000435b7c <+236>:	nopl   0x0(%rax)
   0x0000000000435b80 <+240>:	mov    0x4(%rax),%r8d
   0x0000000000435b84 <+244>:	jmpq   0x435aa2 <find_index_of_edge_near_position+18>
   0x0000000000435b89 <+249>:	cmp    %esi,%r8d
   0x0000000000435b8c <+252>:	jg     0x435bc3 <find_index_of_edge_near_position+307>
   0x0000000000435b8e <+254>:	sub    $0x1,%ebx
   0x0000000000435b91 <+257>:	lea    0x8(%r11,%r10,8),%rdx
   0x0000000000435b96 <+262>:	cmp    %ebx,%eax
   0x0000000000435b98 <+264>:	jl     0x435bb0 <find_index_of_edge_near_position+288>
   0x0000000000435b9a <+266>:	jmp    0x435bc3 <find_index_of_edge_near_position+307>
   0x0000000000435b9c <+268>:	nopl   0x0(%rax)
   0x0000000000435ba0 <+272>:	mov    (%rdi),%r8d
   0x0000000000435ba3 <+275>:	cmp    %r8d,%esi
   0x0000000000435ba6 <+278>:	jl     0x435bc0 <find_index_of_edge_near_position+304>
   0x0000000000435ba8 <+280>:	add    $0x8,%rdx
   0x0000000000435bac <+284>:	cmp    %ebx,%eax
   0x0000000000435bae <+286>:	jge    0x435bc0 <find_index_of_edge_near_position+304>
   0x0000000000435bb0 <+288>:	add    $0x1,%eax
   0x0000000000435bb3 <+291>:	test   %ecx,%ecx
   0x0000000000435bb5 <+293>:	mov    (%rdx),%rdi
   0x0000000000435bb8 <+296>:	jne    0x435ba0 <find_index_of_edge_near_position+272>
   0x0000000000435bba <+298>:	mov    0x4(%rdi),%r8d
   0x0000000000435bbe <+302>:	jmp    0x435ba3 <find_index_of_edge_near_position+275>
   0x0000000000435bc0 <+304>:	movslq %eax,%r10
   0x0000000000435bc3 <+307>:	lea    -0x8(%r11,%r10,8),%rdx
   0x0000000000435bc8 <+312>:	jmp    0x435bd7 <find_index_of_edge_near_position+327>
   0x0000000000435bca <+314>:	nopw   0x0(%rax,%rax,1)
   0x0000000000435bd0 <+320>:	mov    (%rbx),%r8d
   0x0000000000435bd3 <+323>:	sub    $0x8,%rdx
   0x0000000000435bd7 <+327>:	test   %eax,%eax
   0x0000000000435bd9 <+329>:	jle    0x435bf0 <find_index_of_edge_near_position+352>
   0x0000000000435bdb <+331>:	cmp    %esi,%r8d
   0x0000000000435bde <+334>:	jle    0x435bf0 <find_index_of_edge_near_position+352>
   0x0000000000435be0 <+336>:	sub    $0x1,%eax
   0x0000000000435be3 <+339>:	test   %ecx,%ecx
   0x0000000000435be5 <+341>:	mov    (%rdx),%rbx
   0x0000000000435be8 <+344>:	jne    0x435bd0 <find_index_of_edge_near_position+320>
   0x0000000000435bea <+346>:	mov    0x4(%rbx),%r8d
   0x0000000000435bee <+350>:	jmp    0x435bd3 <find_index_of_edge_near_position+323>
   0x0000000000435bf0 <+352>:	cmp    %r8d,%esi
   0x0000000000435bf3 <+355>:	mov    $0xffffffff,%edx
   0x0000000000435bf8 <+360>:	cmovl  %edx,%eax
   0x0000000000435bfb <+363>:	pop    %rbx
   0x0000000000435bfc <+364>:	retq   
End of assembler dump.

comment
-----
I booted up/logged in with gnome-shell set as my "default".

I created some windows (gnome-terminal, pidgin), then created 2 additional workspaces, Then created some more windows in the first 2 workspaces (firefox, qemu-kvm).

Finally, in the third workspace, I created a gnome-terminal window, and I was attempting to move it to the upper left corner of the display when I got this crash.....

description
-----
Window and compositing manager based on Clutter

Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Mutter can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as gnome-shell or
Moblin. For this reason, Mutter is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

reproduce
-----
1. I was attemping to move a newly created gnome-terminal window to the upper left of the workspace
2.
3.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-05-27 11:53:54 EDT
Got it again:

Loaded symbols for /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
Core was generated by `mutter --mutter-plugins=libgnome-shell'.
Program terminated with signal 11, Segmentation fault.
#0  find_index_of_edge_near_position (edges=0x27f1780, position=121, 
    want_interval_min=0, horizontal=1) at core/edge-resistance.c:100
100	  edge = g_array_index (edges, MetaEdge*, mid);
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 3 (Thread 1992):
#0  0x0000003d2dedb653 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 139788300587696
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 139788300587696
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003d3f62cc0f in poll_func (ufds=0x7f23000012b0, nfds=2, timeout=-1, userdata=0x2db0760) at pulse/thread-mainloop.c:75
        mutex = 0x2db0760
        r = 4784
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x0000003d3f61cae6 in pa_mainloop_poll (m=0x2db0850) at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x0000003d3f61dec9 in pa_mainloop_iterate (m=0x2db0850, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x0000003d3f61df80 in pa_mainloop_run (m=0x2db0850, retval=0x0) at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x0000003d3f62ca0b in thread (userdata=0x2dac380) at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
#6  0x0000003d41a38878 in internal_thread_func (userdata=0x2db3b30) at pulsecore/thread-posix.c:72
        t = 0x2db3b30
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003d2e207951 in start_thread (arg=0x7f22f9096710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f22f9096710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139788183758608, 5540303921961992057, 262766926592, 139788183759312, 0, 3, -5573504694648602759, 5519514633428238201}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003d2dee4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 1856):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
No locals.
#1  0x0000003d3e223cce in PR_WaitCondVar (cvar=0x1eb8730, timeout=4294967295) at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:417
        rv = <value optimized out>
        thred = 0x1eb8780
#2  0x00000031520d648c in JSBackgroundThread::work (this=0x1eb8650) at jstask.cpp:91
        t = <value optimized out>
#3  0x0000003d3e229843 in _pt_root (arg=0x1eb8780) at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
        thred = 0x1eb8780
        detached = 0
#4  0x0000003d2e207951 in start_thread (arg=0x7f23226b2710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f23226b2710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139788878030608, 5540303921961992057, 140736052856832, 139788878031312, 0, 3, -5573950256703373447, 5519514633428238201}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#5  0x0000003d2dee4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 1847):
#0  find_index_of_edge_near_position (edges=0x27f1780, position=121, want_interval_min=0, horizontal=1) at core/edge-resistance.c:100
        low = <value optimized out>
        high = <value optimized out>
        mid = 0
        compare = <value optimized out>
        edge = <value optimized out>
#1  0x0000000000436483 in apply_edge_resistance (window=<value optimized out>, old_pos=<value optimized out>, new_pos=<value optimized out>, old_rect=<value optimized out>, new_rect=<value optimized out>, edges=0x27f1780, resistance_data=0x3d5c530, timeout_func=0x459350 <update_move_timeout>, xdir=1, keyboard_op=0) at core/edge-resistance.c:373
        i = <value optimized out>
        begin = <value optimized out>
        end = <value optimized out>
        last_edge = <value optimized out>
        increasing = <value optimized out>
        increment = -1
#2  0x00000000004367dd in apply_edge_resistance_to_each_side (display=0x1e303d0 [MetaDisplay], window=0x35624a0 [MetaWindow], old_outer=0x7fffaa700f70, new_outer=<value optimized out>, timeout_func=<value optimized out>, auto_snap=<value optimized out>, keyboard_op=0, is_resize=0) at core/edge-resistance.c:604
        edge_data = 0x3d5c510
        modified_rect = {x = -1435496532, y = 32767, width = 0, height = 0}
        modified = <value optimized out>
        new_left = <value optimized out>
        new_right = <value optimized out>
        new_top = <value optimized out>
        new_bottom = <value optimized out>
#3  0x000000000043708e in meta_window_edge_resistance_for_move (window=0x35624a0 [MetaWindow], old_x=125, old_y=50, new_x=0x7fffaa70101c, new_y=0x7fffaa701018, timeout_func=<value optimized out>, snap=0, is_keyboard_op=0) at core/edge-resistance.c:1163
        old_outer = {x = 121, y = 26, width = 665, height = 463}
        proposed_outer = {x = 118, y = 2, width = 665, height = 463}
        new_outer = {x = 118, y = 2, width = 665, height = 463}
#4  0x0000000000458eb6 in update_move (window=0x35624a0 [MetaWindow], snap=<value optimized out>, x=345, y=17) at core/window.c:7663
        dx = <value optimized out>
        dy = <value optimized out>
        new_x = 122
        new_y = 26
        old = {x = 125, y = 50, width = 657, height = 435}
        shake_threshold = 48
        display = 0x1e303d0 [MetaDisplay]
#5  0x000000000043198e in event_callback (event=0x7fffaa701620, data=0x1e303d0) at core/display.c:1946
        window = 0x35624a0 [MetaWindow]
        property_for_window = <value optimized out>
        display = 0x1e303d0 [MetaDisplay]
        modified = <value optimized out>
        frame_was_receiver = 1
        bypass_compositor = 0
        filter_out_event = 0
#6  0x00000000004794e6 in filter_func (xevent=<value optimized out>, event=<value optimized out>, data=<value optimized out>) at ui/ui.c:84
        __PRETTY_FUNCTION__ = "filter_func"
#7  0x0000003d36a5e086 in gdk_event_apply_filters (display=0x1a67030 [GdkDisplayX11], event=0x3550ce0, xevent=0x7fffaa701620, return_exposes=0) at gdkevents-x11.c:351
        filter = <value optimized out>
        tmp_list = 0x0
        result = <value optimized out>
#8  gdk_event_translate (display=0x1a67030 [GdkDisplayX11], event=0x3550ce0, xevent=0x7fffaa701620, return_exposes=0) at gdkevents-x11.c:922
        result = <value optimized out>
        window = 0x0
        window_private = 0x0
        filter_window = <value optimized out>
        window_impl = 0x0
        return_val = 0
        screen = 0x0
        screen_x11 = 0x0
        toplevel = 0x0
        display_x11 = 0x1a67030 [GdkDisplayX11]
        xwindow = <value optimized out>
        filter_xwindow = <value optimized out>
#9  0x0000003d36a60178 in _gdk_events_queue (display=0x1a67030 [GdkDisplayX11]) at gdkevents-x11.c:2305
        node = 0x3ef1780 = {0x3550ce0}
        event = 0x3550ce0
        xevent = {type = 6, xany = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499}, xkey = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, root = 189, subwindow = 0, time = 315121, x = 224, y = -9, x_root = 345, y_root = 17, state = 256, keycode = 0, same_screen = 1}, xbutton = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, root = 189, subwindow = 0, time = 315121, x = 224, y = -9, x_root = 345, y_root = 17, state = 256, button = 0, same_screen = 1}, xmotion = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, root = 189, subwindow = 0, time = 315121, x = 224, y = -9, x_root = 345, y_root = 17, state = 256, is_hint = 0 '\000', same_screen = 1}, xcrossing = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, root = 189, subwindow = 0, time = 315121, x = 224, y = -9, x_root = 345, y_root = 17, mode = 256, detail = 0, same_screen = 1, focus = 0, state = 12}, xfocus = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, mode = 189, detail = 0}, xexpose = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, x = 189, y = 0, width = 0, height = 0, count = 315121}, xgraphicsexpose = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, drawable = 23101499, x = 189, y = 0, width = 0, height = 0, count = 315121, major_code = 0, minor_code = 224}, xnoexpose = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, drawable = 23101499, major_code = 189, minor_code = 0}, xvisibility = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, state = 189}, xcreatewindow = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, parent = 23101499, window = 189, x = 0, y = 0, width = 315121, height = 0, border_width = 224, override_redirect = -9}, xdestroywindow = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189}, xunmap = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, from_configure = 0}, xmap = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, override_redirect = 0}, xmaprequest = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, parent = 23101499, window = 189}, xreparent = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, parent = 0, x = 315121, y = 0, override_redirect = 224}, xconfigure = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, x = 0, y = 0, width = 315121, height = 0, border_width = 224, above = 73014444377, override_redirect = 256}, xgravity = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, x = 0, y = 0}, xresizerequest = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, width = 189, height = 0}, xconfigurerequest = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, parent = 23101499, window = 189, x = 0, y = 0, width = 315121, height = 0, border_width = 224, above = 73014444377, detail = 256, value_mask = 1}, xcirculate = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, event = 23101499, window = 189, place = 0}, xcirculaterequest = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, parent = 23101499, window = 189, place = 0}, xproperty = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, atom = 189, time = 0, state = 315121}, xselectionclear = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, selection = 189, time = 0}, xselectionrequest = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, owner = 23101499, requestor = 189, selection = 0, target = 315121, property = 18446744035054846176, time = 73014444377}, xselection = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, requestor = 23101499, selection = 189, target = 0, property = 315121, time = 18446744035054846176}, xcolormap = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, colormap = 189, new = 0, state = 0}, xclient = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, message_type = 189, format = 0, data = {b = "\361\316\004\000\000\000\000\000\340\000\000\000\367\377\377\377Y\001\000", s = {-12559, 4, 0, 0, 224, 0, -9, -1, 345, 0}, l = {315121, -38654705440, 73014444377, 256, 1}}}, xmapping = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, request = 189, first_keycode = 0, count = 0}, xerror = {type = 6, display = 0x2593f, resourceid = 0, serial = 27636704, error_code = 59 ';', request_code = 128 '\200', minor_code = 96 '`'}, xkeymap = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, window = 23101499, key_vector = "\275", '\000' <repeats 15 times>"\361, \316\004\000\000\000\000\000\340\000\000\000\367\377\377\377"}, xgeneric = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, extension = 23101499, evtype = 0}, xcookie = {type = 6, serial = 153919, send_event = 0, display = 0x1a5b3e0, extension = 23101499, evtype = 0, cookie = 189, data = 0x0}, pad = {261993005062, 153919, 0, 27636704, 23101499, 189, 0, 315121, -38654705440, 73014444377, 256, 1, 12, 0 <repeats 11 times>}}
        xdisplay = 0x1a5b3e0
#10 0x0000003d36a606ae in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gdkevents-x11.c:2366
        display = 0x1a67030 [GdkDisplayX11]
        event = <value optimized out>
#11 0x0000003d2f63c532 in g_main_dispatch (context=0x1a41bb0) at gmain.c:1960
        dispatch = 0x3d36a60690 <gdk_event_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x1a71e90, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x1a71e90
        current = 0x1a8bfb0
        i = <value optimized out>
#12 IA__g_main_context_dispatch (context=0x1a41bb0) at gmain.c:2513
No locals.
#13 0x0000003d2f640318 in g_main_context_iterate (context=0x1a41bb0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 13
        allocated_nfds = <value optimized out>
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#14 0x0000003d2f640825 in IA__g_main_loop_run (loop=0x1a49f60) at gmain.c:2799
        self = 0x1a37030
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#15 0x000000000043f916 in main (argc=1, argv=0x7fffaa701fc8) at core/main.c:725
        act = {__sigaction_handler = {sa_handler = 0x43fcf0 <sigterm_handler>, sa_sigaction = 0x43fcf0 <sigterm_handler>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = 0, sa_restorer = 0x1c77555}
        empty_mask = {__val = {0 <repeats 16 times>}}
        log_domains = {0x0, 0x482c9a "mutter", 0x482af0 "Gtk", 0x482af4 "Gdk", 0x482af8 "GLib", 0x482afd "Pango", 0x482b03 "GLib-GObject", 0x482b10 "GThread"}
        i = <value optimized out>
        channel = <value optimized out>
        ctx = 0x0
(gdb)
Comment 2 Bug Zapper 2010-07-30 07:43:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Owen Taylor 2011-03-26 10:26:39 EDT
I'm closing all bugs filed against Mutter for Fedora 13 and Fedora 14. This represent quite old versions of Mutter and GNOME Shell and are unlikely to have much relevance to the current code base. (The Fedora 14 version of Mutter dates to last June and an enormous amount of development has gone on since that point.)

I'm sorry about not being able to be more attentive to these bugs and crash reports - I know it does take time to file one, and definitely appreciate the effort!

Note You need to log in before you can comment on or make changes to this bug.